Welcome to PressWork!

Want to ask a question or join the discussion? Great! Join now.

In this Discussion

IE 9 compatibility mode hassle
  • As it's clearly stated in the FAQ Presswork does not support IE7, and the reasons for not doing it seem pretty sensible to me. As we can see in this latest graph http://gs.statcounter.com/#browser_version-ww-monthly-201009-201109 IE7 accounts now for less than 5% of share worldwide.

    Nonetheless there's one important problem with this as it has been extensively discussed in this post :
    http://support.presswork.me/discussion/57/sidebars-are-moving-below-content-in-ie9#Item_19

    The problem is that we frequently encounter customers using IE8 AND IE9 with compatibility mode activated by default which has the effect of totally breaking the site. I'm sure many users of Presswork are not aware of this. It is quite a problem and a very though one to argue with our customers.

    My question is : What would you think about including permanently something like this
    <!-- Always force latest IE rendering engine (even in intranet) & Chrome Frame -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    in the header.php file ?

    Maybe as a temporary solution till you implement something better, but at least we have a bulletproof solution in the meanwhile.
    image PressWork Support Moderator
  • cbavotacbavota
    This answer was Accepted.
    That sounds totally reasonable. Just so you know, I am a Mac man and I have an IE testing environment but it is not always 100% the same as IE on an actual PC. If you would like to help out with getting PW totally compatible with IE that would be great. Drop me a line through the contact form above so I can pass on my email address and we can discuss this. If you are interested, that is. ;)
    image Senior Developer & Co-Founder of PressWork